<?xml version="1.0" encoding="UTF-8"?>
<phpunit backupGlobals="false"
         backupStaticAttributes="false"
         bootstrap="bootstrap/autoload.php"
         colors="true"
         convertErrorsToExceptions="true"
         convertNoticesToExceptions="true"
         convertWarningsToExceptions="true"
         processIsolation="false"
         stopOnFailure="false"
         syntaxCheck="false">
    <testsuites>
        <testsuite name="Application Test Suite">
            <directory>./tests/</directory>
        </testsuite>
        <!--testsuite name="Application Test Suite Repositories">
            <directory>./tests/Repositories</directory>
        </testsuite>
        <testsuite name="Application Test Suite Models">
            <directory>./tests/Models</directory>
        </testsuite>
        <testsuite name="Application Test Suite Controllers">
            <directory>./tests/Controllers</directory>
        </testsuite>
        <testsuite name="Application Test Suite Libraries">
            <directory>./tests/Libraries/Sparql</directory>
        </testsuite-->
    </testsuites>
    <php>
        <env name="APP_ENV" value="testing"/>
        <env name="CACHE_DRIVER" value="array"/>
        <env name="DATABASE_DRIVER" value="pgsql_test"/>
        <env name="SESSION_DRIVER" value="array"/>
        <env name="QUEUE_DRIVER" value="sync"/>
        <env name="CORPUSPAROLE_RDF4J_REPOSITORY" value="cocoon_test"/>
        <env name="HANDLE_HOST" value="172.16.1.6"/>
        <env name="HANDLE_PORT" value="8000"/>
        <env name="HANDLE_PREFIX" value="11280.100"/>
        <env name="HANDLE_ADMIN_ID" value="300:11280.100/CORPUS_ADMIN"/>

    </php>
</phpunit>
